import { Stack, useRouter } from "expo-router";

export default function SearchLayout() {
  const router = useRouter();
  return (
    <Stack>
      <Stack.Screen
        name="index"
        options={{
          title: "Search",
          headerSearchBarOptions: {
            placement: "automatic",
            placeholder: "Search",
            autoFocus: true,
            shouldShowHintSearchIcon: true,
            onChangeText: (event) => {
              router.setParams({
                globalSearch: event?.nativeEvent?.text,
              });
            },
          },
        }}
      />
    </Stack>
  );
}
